#!/usr/bin/env perl

use strict;
use warnings;


sub logfname
{
         my $logpath = shift;
         my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime;
         $mon += 1;
         $year += 1900;
         return sprintf("%s/listserv-%04d%02d%02d.log", $logpath, $year, 
$mon, $mday);
}


if (not $ARGV[0]) {
         print "syntax: lsv-logger.pl LOGPATH\n";
         exit;
}

my $logpath = $ARGV[0];
my $name = logfname($logpath);
my $old = $name;

open LOGFILE, ">> $name";
select(LOGFILE); $| = 1;
select(STDOUT);

my $l;
while($l = <STDIN>)
{
         ($old, $name) = ($name, logfname($logpath));
         if ($old ne $name) {
                 close LOGFILE;
                 open LOGFILE, ">> $name";
                 select(LOGFILE); $| = 1;
         }

         print LOGFILE "$l";
}

close LOGFILE;
